Subject: [ESP] ESMF meeting report

From: "V. Balaji" <[email-masked]>
Date: Mon, 19 Jul 2004 20:45:48 -0400 (EDT)

The 3rd ESMF community meeting took place in Boulder last week, where
usable prototype ESMF software v2.0 was released to the public. The
superstructure layer (most relevant to the GO-ESSP community) has come
together quite nicely; the infrastructure is functional but still not
quite there.
(http://www.esmf.ucar.edu)

Steve Hankin gave a very nice presentation to the ESMF Team meeting on
Wednesday, 14 July 2004. The ESMF community (which contains few data
producers, consumers or managers: mostly framework software developers)
got a great introduction to the subject of data, with lots of points to
ponder going forward.

The subject of standards was the subject of some discussion at the
Community meeting on Thursday, 15 July 2004. Some, mostly scientists,
expressed a desire to see standardized diagnostic packages and useful
ways of analyzing each others' data. The need for standards is slowly,
if dimly, being perceived.

On Friday, 16 July 2004, was a meeting to start talking to project
managers at several US agencies about continued, and possibly coordinated,
funding support for ESMF. We (the ESMF technical leads) have proposed
a future structure that includes an independent international standards
body in custody of the model metadata and interfaces. My presentation on
this subject is attached. To highlight what's of relevance to GO-ESSP,
I've suggested that there be specific liaison activities linking the model
standards to the data standards; and that GO-ESSP be treated as the ad-hoc
community working group on data software and standards until such a body
is formalized. Also, I mentioned the upcoming PRISM-ESMF workshop and
the GO-ESSP meeting next year as venues for continuing these discussions.

The reaction was mixed... as far as I can tell, some thought we should
have tackled the standards problem earlier, while others thought this
was too "visionary" (a polite way of saying "scary", I gather). In any
event, the whole thing is rather up in the air at the moment.

Sorry for spamming the slides... but it's PDF and quite compact. I'll
also post the slides to the NERC wiki... is there already a page for
presentations? I'll create one if there isn't.

Thanks!

PS. Needless to say, these are just my personal opinions and perceptions.
Not speaking (nor entitled to speak) for ESMF, GFDL, nor anyone else.
-- 

V. Balaji                               Office:  +1-609-452-6516
Head, Modeling Systems Group, GFDL      Home:    +1-212-253-6662
Princeton University                    Email: [email-masked]